com.ihr.xbrl.om.errors

## Class XBRLValidationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.ihr.xbrl.om.errors.XBRLValidationException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    EFMMissinLabelForENUSLang, EFMTableIsBothPositiveAndNegative, EFMValidationException, ENenumError, XBRLConsistencyAssertion.XFConsistencyAssertionInvalidFact, XBRLDuplicateArcroleException, XBRLDuplicateRoleException, XBRLNotStandardLocatorInExtendedLink, XBRLValidationExceptionArcroleRefPointsToNonSchemaFile, XBRLValidationExceptionArcroleRefTargetIsNotSchema, XBRLValidationExceptionArcroleTypeUsedOnUndeclaredElement, XBRLValidationExceptionArcSourceErrorNoSourceFound, XBRLValidationExceptionArcSourceErrorUnreachableLocatorReference, XBRLValidationExceptionArcTargetErrorNoTargetFound, XBRLValidationExceptionArcTargetErrorUnreachableLocatorReference, XBRLValidationExceptionCantGetSchemaType, XBRLValidationExceptionConceptAmbiguousBalance, XBRLValidationExceptionConceptFactPeriodTypeMistmatch, XBRLValidationExceptionConceptLabelProhibitedInvalidTarget, XBRLValidationExceptionConceptLabelSourceIsNotConcept, XBRLValidationExceptionConceptLabelTargetIsNotLocalAndRelationshipIsNotProhibit, XBRLValidationExceptionConceptLabelTargetIsNotResource, XBRLValidationExceptionConceptMissingPeriodType, XBRLValidationExceptionConceptNotAssignedToFact, XBRLValidationExceptionConceptNotFoundCreatingFact, XBRLValidationExceptionConceptReferenceProhibitedInvalidTarget, XBRLValidationExceptionConceptReferenceSourceIsNotConcept, XBRLValidationExceptionConceptReferenceTargetIsNotLocalAndRelationshipIsNotProhibit, XBRLValidationExceptionConceptReferenceTargetIsNotResource, XBRLValidationExceptionContentModelException, XBRLValidationExceptionDateDateEndIsEarlierThanDateStart, XBRLValidationExceptionDateInvalidPeriodDates, XBRLValidationExceptionDateIsNotValidISO8601, XBRLValidationExceptionDuplicateUseOn, XBRLValidationExceptionElementDefinitionNotFoundInSchemas, XBRLValidationExceptionElementLabelTargetError, XBRLValidationExceptionElementReferenceTargetError, XBRLValidationExceptionEncapsulateDTSDiscoveryException, XBRLValidationExceptionEncapsulateIOException, XBRLValidationExceptionEncapsulateLicenseVerificationException, XBRLValidationExceptionEncapsulateMalformedURLException, XBRLValidationExceptionEncapsulateSchemaException, XBRLValidationExceptionEncapsulateURISyntaxException, XBRLValidationExceptionEssenceAliasDifferentBalance, XBRLValidationExceptionEssenceAliasDifferentItemTypes, XBRLValidationExceptionEssenceAliasDifferentPeriodTypes, XBRLValidationExceptionEssenceAliasNonUEqual, XBRLValidationExceptionEssenceAliasNonVEqual, XBRLValidationExceptionEssenceAliasSourceNotItem, XBRLValidationExceptionEssenceAliasTargetNotItem, XBRLValidationExceptionExtendedLinkDoNotContainArcs, XBRLValidationExceptionFactError, XBRLValidationExceptionFactFootnotearcSourceNotFact, XBRLValidationExceptionFactFootnotearcSourceOutOfInstanceScope, XBRLValidationExceptionFactFootnotearcTargetNotResource, XBRLValidationExceptionFactFootnotearcTargetOutOfInstanceScope, XBRLValidationExceptionFactIsNillConceptIsNotNillable, XBRLValidationExceptionFootnoteLangMissing, XBRLValidationExceptionGeneralSpecialSourceNotItem, XBRLValidationExceptionGeneralSpecialTargetNotItem, XBRLValidationExceptionGenericLinkbaseInvalidArcroleURI, XBRLValidationExceptionGenericLinkbaseInvalidRoleURI, XBRLValidationExceptionImportIsNotSchema, XBRLValidationExceptionIncludeIsNotSchema, XBRLValidationExceptionInvalidAttributeValue, XBRLValidationExceptionInvalidDirectedCyclesFound, XBRLValidationExceptionInvalidElementValueException, XBRLValidationExceptionInvalidEmptyHRef, XBRLValidationExceptionInvalidNumberOfValuesForAttribute, XBRLValidationExceptionInvalidTupleContentModelException, XBRLValidationExceptionInvalidUndirectedCyclesFound, XBRLValidationExceptionInvalidUseOfArcrole, XBRLValidationExceptionInvalidUseOfRole, XBRLValidationExceptionInvalidXPointerSyntaxForXBRL, XBRLValidationExceptionISO4217UnitHasMoreUnits, XBRLValidationExceptionISO4217UnitHasWrongNamespace, XBRLValidationExceptionISO4217WrongLocalPart, XBRLValidationExceptionLabelInvalidResource, XBRLValidationExceptionLabelResourceLangMising, XBRLValidationExceptionMissingUnitForNumericFact, XBRLValidationExceptionMultipleArcroleTypeDefinitions, XBRLValidationExceptionMultipleRoleTypeDefinitions, XBRLValidationExceptionNumericValueHasDecimalsAndPrecision, XBRLValidationExceptionNumericValueHasNoDecimalsAndNoPrecision, XBRLValidationExceptionNumericValueIsNillAndHasDecimalsOrPrecision, XBRLValidationExceptionPreferredLabelLabelNotFound, XBRLValidationExceptionPreferredLabelRoleNotDefined, XBRLValidationExceptionRedefineError, XBRLValidationExceptionRequiresElementTargetNotFound, XBRLValidationExceptionRoleRefPointsToNonSchemaFile, XBRLValidationExceptionRoleRefTargetIsNotSchema, XBRLValidationExceptionRoleTypeUnresolvable, XBRLValidationExceptionRoleTypeUsedOnUndeclaredElement, XBRLValidationExceptionScenarioContentErrorNamespace, XBRLValidationExceptionScenarioContentErrorSubstGroup, XBRLValidationExceptionSegmentContentErrorNamespace, XBRLValidationExceptionSegmentContentErrorSubstGroup, XBRLValidationExceptionSharesUnitHasMoreUnits, XBRLValidationExceptionSharesUnitHasWrongNamespace, XBRLValidationExceptionSharesWrongLocalPart, XBRLValidationExceptionSummationItemInvalidCreditDebit, XBRLValidationExceptionSummationItemInvalidWeightValue, XBRLValidationExceptionSummationItemSourceNotItem, XBRLValidationExceptionSummationItemSourceNotNumeric, XBRLValidationExceptionSummationItemTargetNotItem, XBRLValidationExceptionSummationItemTargetNotNumeric, XBRLValidationExceptionTargetIsNotConcept, XBRLValidationExceptionTargetIsNotContext, XBRLValidationExceptionTargetIsNotFact, XBRLValidationExceptionTargetIsNotUnit, XBRLValidationExceptionTupleContainsNonValidAttributes, XBRLValidationExceptionTupleContainsNonXBRLFacts, XBRLValidationExceptionUnitDeclarationInNamespaceMustBeSharesOrPure, XBRLValidationExceptionUnitsNotSimplifiedForm, XBRLValidationExceptionURIMustBeAbsolute, XBRLValidationExceptionXLINKErrorDuplicateArcs, XBRLValidationExceptionXLINKErrorUnresolvableURI, XDTValidationException, XFValidationException, XTValidationException

      public class XBRLValidationException
      extends java.lang.Exception

  Represents an XBRL Error according to the XBRL 2.1 specification
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ARC_SOURCE_ERROR` The Constant ARC_SOURCE_ERROR.
    `static int` | `ARC_TARGET_ERROR` The Constant ARC_TARGET_ERROR.
    `static int` | `ARCROLE_TYPE_NOT_DECLARED_USED_ON` The Constant ARCROLE_TYPE_NOT_DECLARED_USED_ON.
    `static int` | `ARCROLE_TYPE_UNRESOLVABLE` The Constant ARCROLE_TYPE_UNRESOLVABLE.
    `static int` | `ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA` The Constant ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA.
    `static int` | `CONCEPT_BALANCE_AMBIGUOUS` The Constant CONCEPT_BALANCE_AMBIGUOUS.
    `static int` | `CONCEPT_INVALID_TYPE` The Constant CONCEPT_INVALID_TYPE.
    `static int` | `CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT` The Constant CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT.
    `static int` | `CONCEPT_LABEL_TARGET_INVALID` The Constant CONCEPT_LABEL_TARGET_INVALID.
    `static int` | `CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED` The Constant CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED.
    `static int` | `CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE` The Constant CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE.
    `static int` | `CONCEPT_MISSING_PERIODTYPE` The Constant CONCEPT_MISSING_PERIODTYPE.
    `static int` | `CONCEPT_NOT_FOUND` The Constant CONCEPT_NOT_FOUND.
    `static int` | `CONCEPT_NUMERIC_MISSING_UNIT` The Constant CONCEPT_NUMERIC_MISSING_UNIT.
    `static int` | `CONCEPT_PERIOD_TYPE_MISTMATCH` The Constant CONCEPT_PERIOD_TYPE_MISTMATCH.
    `static int` | `CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT` The Constant CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT.
    `static int` | `CONCEPT_REFERENCE_TARGET_INVALID` The Constant CONCEPT_REFERENCE_TARGET_INVALID.
    `static int` | `CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED` The Constant CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED.
    `static int` | `CONCEPT_REFERENCE_TARGET_NOT_RESOURCE` The Constant CONCEPT_REFERENCE_TARGET_NOT_RESOURCE.
    `static int` | `CONTENT_MODEL_EXCEPTION` The Constant CONTENT_MODEL_EXCEPTION.
    `static int` | `DTS_DISCOVERY_EXCEPTION` The Constant DTS_DISCOVERY_EXCEPTION.
    `static int` | `DUPLICATE_ARCROLEREF_EXCEPTION` The Constant DUPLICATE_ARCROLEREF_EXCEPTION.
    `static int` | `DUPLICATE_EXCEPTION` The Constant DUPLICATE_EXCEPTION.
    `static int` | `DUPLICATE_ROLEREF_EXCEPTION` The Constant DUPLICATE_ROLEREF_EXCEPTION.
    `static int` | `DUPLICATE_USED_ON` The Constant DUPLICATE_USED_ON.
    `static int` | `ENCAPSULATE_DTS_DISCOVERY_EXCEPTION` The Constant ENCAPSULATE_DTS_DISCOVERY_EXCEPTION.
    `static int` | `ENCAPSULATE_JAVA_EXCEPTION` The Constant ENCAPSULATE_JAVA_EXCEPTION.
    `static int` | `ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION` The Constant ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION.
    `static int` | `ENCAPSULATE_XBRL_EXCEPTION` The Constant ENCAPSULATE_XBRL_EXCEPTION.
    `static int` | `ENCAPSULATE_XML_EXCEPTION` The Constant ENCAPSULATE_XML_EXCEPTION.
    `static int` | `ENCAPSULATE_XPATH_EXCEPTION` The Constant ENCAPSULATE_XPATH_EXCEPTION.
    `static int` | `ERROR_OK` The Constant ERROR_OK.
    `static int` | `ESSENCE_ALIAS_DIFFERENT_BALANCE` The Constant ESSENCE_ALIAS_DIFFERENT_BALANCE.
    `static int` | `ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES` The Constant ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES.
    `static int` | `ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES` The Constant ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES.
    `static int` | `ESSENCE_ALIAS_NON_UEQUAL` The Constant ESSENCE_ALIAS_NON_UEQUAL.
    `static int` | `ESSENCE_ALIAS_NON_VEQUAL` The Constant ESSENCE_ALIAS_NON_VEQUAL.
    `static int` | `ESSENCE_ALIAS_SOURCE_NOT_ITEM` The Constant ESSENCE_ALIAS_SOURCE_NOT_ITEM.
    `static int` | `ESSENCE_ALIAS_TARGET_NOT_ITEM` The Constant ESSENCE_ALIAS_TARGET_NOT_ITEM.
    `static int` | `EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE` The Constant EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE.
    `static int` | `FACT_DECIMALS_AND_PRECISION` The Constant FACT_DECIMALS_AND_PRECISION.
    `static int` | `FACT_ERROR` The Constant FACT_ERROR.
    `static int` | `FACT_FOOTNOTEARC_SOURCE_NOT_FACT` The Constant FACT_FOOTNOTEARC_SOURCE_NOT_FACT.
    `static int` | `FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE` The Constant FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE.
    `static int` | `FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE` The Constant FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE.
    `static int` | `FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE` The Constant FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE.
    `static int` | `FACT_NILLED_HAS_DECIMALS_OR_PRECISION` The Constant FACT_NILLED_HAS_DECIMALS_OR_PRECISION.
    `static int` | `FACT_NO_DECIMALS_NO_PRECISION` The Constant FACT_NO_DECIMALS_NO_PRECISION.
    `static int` | `FOOTNOTE_MISSING_LANG` The Constant FOOTNOTE_MISSING_LANG.
    `static int` | `FORMULA_PROCESSOR_EXCEPTION` The Constant FORMULA_PROCESSOR_EXCEPTION.
    `static int` | `GENERAL_SPECIAL_SOURCE_NOT_ITEM` The Constant GENERAL_SPECIAL_SOURCE_NOT_ITEM.
    `static int` | `GENERAL_SPECIAL_TARGET_NOT_ITEM` The Constant GENERAL_SPECIAL_TARGET_NOT_ITEM.
    `static int` | `GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET` The Constant GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET.
    `static int` | `GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET` The Constant GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET.
    `static int` | `GENERIC_LINKBASE_EXCEPTION_BASE` The Constant GENERIC_LINKBASE_EXCEPTION_BASE.
    `static int` | `GENERIC_LINKBASE_INVALID_ARCROLE_URI` The Constant GENERIC_LINKBASE_INVALID_ARCROLE_URI.
    `static int` | `GENERIC_LINKBASE_INVALID_ROLE_URI` The Constant GENERIC_LINKBASE_INVALID_ROLE_URI.
    `static int` | `INCONSISTENCY_AS_EXCEPTION` The Constant INCONSISTENCY_AS_EXCEPTION.
    `static int` | `INCONSISTENT_DTS_OPERATION_EXCEPTION` The Constant INCONSISTENT_DTS_OPERATION_EXCEPTION.
    `static int` | `INVALID_ATTRIBUTE_VALUE` The Constant INVALID_ATTRIBUTE_VALUE.
    `static int` | `INVALID_DIRECTED_CYCLES_FOUND` The Constant INVALID_DIRECTED_CYCLES_FOUND.
    `static int` | `INVALID_ELEMENT_VALUE_EXCEPTION` The Constant INVALID_ELEMENT_VALUE_EXCEPTION.
    `static int` | `INVALID_LOCATOR_FOUND` The Constant INVALID_LOCATOR_FOUND.
    `static int` | `INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE` The Constant INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE.
    `static int` | `INVALID_UNDIRECTED_CYCLES_FOUND` The Constant INVALID_UNDIRECTED_CYCLES_FOUND.
    `static int` | `INVALID_URI_IN_HREF` The Constant INVALID_URI_IN_HREF.
    `static int` | `INVALID_XPOINTER_FOR_XBRL` The Constant INVALID_XPOINTER_FOR_XBRL.
    `static int` | `LABEL_INVALID_RESOURCE` The Constant LABEL_INVALID_RESOURCE.
    `static int` | `LABEL_MISSING_LANG` The Constant LABEL_MISSING_LANG.
    `static int` | `MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS` The Constant MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS.
    `static int` | `MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS` The Constant MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS.
    `static int` | `NO_LABEL_FOR_PREFERRED_LABELROLE` The Constant NO_LABEL_FOR_PREFERRED_LABELROLE.
    `static int` | `NUMERIC_VALUE_CANT_GET_TYPE_ERROR` The Constant NUMERIC_VALUE_CANT_GET_TYPE_ERROR.
    `static XBRLValidationException` | `OK` The ok.
    `static int` | `PERIOD_DATES_INVALID` The Constant PERIOD_DATES_INVALID.
    `static int` | `PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED` The Constant PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED.
    `static int` | `PURE_RUNTIME_EXCEPTION` The Constant PURE_RUNTIME_EXCEPTION.
    `static int` | `REDEFINE_ERROR` The Constant REDEFINE_ERROR.
    `static int` | `REQUIRES_ELEMENT_TARGET_NOT_FOUND` The Constant REQUIRES_ELEMENT_TARGET_NOT_FOUND.
    `static int` | `ROLE_TYPE_NOT_DECLARED_USED_ON` The Constant ROLE_TYPE_NOT_DECLARED_USED_ON.
    `static int` | `ROLE_TYPE_UNRESOLVABLE` The Constant ROLE_TYPE_UNRESOLVABLE.
    `static int` | `ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA` The Constant ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA.
    `static int` | `RS_NO_FILES_TO_LOAD` The Constant RS_NO_FILES_TO_LOAD.
    `static int` | `SCENARIO_INVALID_CONTENT` The Constant SCENARIO_INVALID_CONTENT.
    `static int` | `SCHEMA_EXCEPTION` The Constant SCHEMA_EXCEPTION.
    `static int` | `SEGMENT_INVALID_CONTENT` The Constant SEGMENT_INVALID_CONTENT.
    `static int` | `SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP` The Constant SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP.
    `static int` | `SUMMATION_ITEM_INVALID_WEIGHT_VALUE` The Constant SUMMATION_ITEM_INVALID_WEIGHT_VALUE.
    `static int` | `SUMMATION_ITEM_SOURCE_NOT_ITEM` The Constant SUMMATION_ITEM_SOURCE_NOT_ITEM.
    `static int` | `SUMMATION_ITEM_SOURCE_NOT_NUMERIC` The Constant SUMMATION_ITEM_SOURCE_NOT_NUMERIC.
    `static int` | `SUMMATION_ITEM_TARGET_NOT_ITEM` The Constant SUMMATION_ITEM_TARGET_NOT_ITEM.
    `static int` | `SUMMATION_ITEM_TARGET_NOT_NUMERIC` The Constant SUMMATION_ITEM_TARGET_NOT_NUMERIC.
    `static int` | `TABLE_PROCESSOR_EXCEPTION` The Constant TABLE_PROCESSOR_EXCEPTION.
    `static int` | `TARGET_IS_NOT_CONCEPT` The Constant TARGET_IS_NOT_CONCEPT.
    `static int` | `TARGET_IS_NOT_CONTEXT` The Constant TARGET_IS_NOT_CONTEXT.
    `static int` | `TARGET_IS_NOT_FACT` The Constant TARGET_IS_NOT_FACT.
    `static int` | `TARGET_IS_NOT_UNIT` The Constant TARGET_IS_NOT_UNIT.
    `static int` | `TUPLE_INVALID_ATTRIBUTE` The Constant TUPLE_INVALID_ATTRIBUTE.
    `static int` | `TUPLE_INVALID_CONTENT` The Constant TUPLE_INVALID_CONTENT.
    `static int` | `UNIT_ERROR` The Constant UNIT_ERROR.
    `static int` | `UNREADABLE_DOCUMENT` The Constant UNREADABLE_DOCUMENT.
    `static int` | `URI_MUST_BE_ABSOLUTE` The Constant URI_MUST_BE_ABSOLUTE.
    `static int` | `XBRL_RS_TOOL_SPECIFIC_ERROR_BASE` 599 is not used.
    `static int` | `XDT_EXCEPTION` The Constant XDT_EXCEPTION.
    `static int` | `XLINK_ERROR` The Constant XLINK_ERROR.
    `static int` | `XLINK_ERROR_DUPLICATE_ARCS` The Constant XLINK_ERROR_DUPLICATE_ARCS.
    `static int` | `XLINK_ERROR_TARGET_IS_NOT_SCHEMA` The Constant XLINK_ERROR_TARGET_IS_NOT_SCHEMA.
    `static int` | `XLINK_ERROR_UNRESOLVABLE_URI` The Constant XLINK_ERROR_UNRESOLVABLE_URI.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLValidationException(int code, java.lang.Exception e)` Instantiates a new XBRL validation exception.
    `XBRLValidationException(int code, javax.xml.namespace.QName qError, java.lang.String string)` Instantiates a new XBRL validation exception.
    `XBRLValidationException(int code, java.lang.String message)` Instantiates a new XBRL validation exception.
    `XBRLValidationException(int code, java.lang.String message, java.lang.Throwable cause)` Instantiates a new XBRL validation exception.
    `XBRLValidationException(int code, java.lang.Throwable cause)` Instantiates a new XBRL validation exception.
    `XBRLValidationException(java.lang.String message, XBRLValidationException other)` Generates a validation exception with a nested validation exception.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPrefixMessage(java.lang.String message)` Adds the prefix message.
    `void` | `addSuffixMessage(java.lang.String message)` Adds the suffix message.
    `static java.lang.String` | `documentException(java.lang.Throwable e)` Document exception.
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getCode()` Gets the code.
    `java.lang.String` | `getMessage()`
    `javax.xml.namespace.QName` | `getQNameError()` Gets the q name error.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ERROR_OK

          public static final int ERROR_OK

      The Constant ERROR_OK.
      See Also:
        Constant Field Values

    - #### DTS_DISCOVERY_EXCEPTION

          public static final int DTS_DISCOVERY_EXCEPTION

      The Constant DTS_DISCOVERY_EXCEPTION.
      See Also:
        Constant Field Values

    - #### CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT

          public static final int CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT

      The Constant CONCEPT_REFERENCE_SOURCE_IS_NOT_CONCEPT.
      See Also:
        Constant Field Values

    - #### FACT_ERROR

          public static final int FACT_ERROR

      The Constant FACT_ERROR.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION

          public static final int ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION

      The Constant ENCAPSULATE_LICENSEVERIFICATION_EXCEPTION.
      See Also:
        Constant Field Values

    - #### CONTENT_MODEL_EXCEPTION

          public static final int CONTENT_MODEL_EXCEPTION

      The Constant CONTENT_MODEL_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INVALID_ELEMENT_VALUE_EXCEPTION

          public static final int INVALID_ELEMENT_VALUE_EXCEPTION

      The Constant INVALID_ELEMENT_VALUE_EXCEPTION.
      See Also:
        Constant Field Values

    - #### LABEL_INVALID_RESOURCE

          public static final int LABEL_INVALID_RESOURCE

      The Constant LABEL_INVALID_RESOURCE.
      See Also:
        Constant Field Values

    - #### ROLE_TYPE_NOT_DECLARED_USED_ON

          public static final int ROLE_TYPE_NOT_DECLARED_USED_ON

      The Constant ROLE_TYPE_NOT_DECLARED_USED_ON.
      See Also:
        Constant Field Values

    - #### ARCROLE_TYPE_NOT_DECLARED_USED_ON

          public static final int ARCROLE_TYPE_NOT_DECLARED_USED_ON

      The Constant ARCROLE_TYPE_NOT_DECLARED_USED_ON.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_DTS_DISCOVERY_EXCEPTION

          public static final int ENCAPSULATE_DTS_DISCOVERY_EXCEPTION

      The Constant ENCAPSULATE_DTS_DISCOVERY_EXCEPTION.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_JAVA_EXCEPTION

          public static final int ENCAPSULATE_JAVA_EXCEPTION

      The Constant ENCAPSULATE_JAVA_EXCEPTION.
      See Also:
        Constant Field Values

    - #### MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS

          public static final int MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS

      The Constant MULTIPLE_NON_SEQUAL_ROLE_TYPE_DEFINITIONS.
      See Also:
        Constant Field Values

    - #### MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS

          public static final int MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS

      The Constant MULTIPLE_NON_SEQUAL_ARCROLE_TYPE_DEFINITIONS.
      See Also:
        Constant Field Values

    - #### PURE_RUNTIME_EXCEPTION

          public static final int PURE_RUNTIME_EXCEPTION

      The Constant PURE_RUNTIME_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INVALID_DIRECTED_CYCLES_FOUND

          public static final int INVALID_DIRECTED_CYCLES_FOUND

      The Constant INVALID_DIRECTED_CYCLES_FOUND.
      See Also:
        Constant Field Values

    - #### INVALID_UNDIRECTED_CYCLES_FOUND

          public static final int INVALID_UNDIRECTED_CYCLES_FOUND

      The Constant INVALID_UNDIRECTED_CYCLES_FOUND.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_NON_UEQUAL

          public static final int ESSENCE_ALIAS_NON_UEQUAL

      The Constant ESSENCE_ALIAS_NON_UEQUAL.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_NON_VEQUAL

          public static final int ESSENCE_ALIAS_NON_VEQUAL

      The Constant ESSENCE_ALIAS_NON_VEQUAL.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_TARGET_NOT_ITEM

          public static final int SUMMATION_ITEM_TARGET_NOT_ITEM

      The Constant SUMMATION_ITEM_TARGET_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_TARGET_NOT_NUMERIC

          public static final int SUMMATION_ITEM_TARGET_NOT_NUMERIC

      The Constant SUMMATION_ITEM_TARGET_NOT_NUMERIC.
      See Also:
        Constant Field Values

    - #### REQUIRES_ELEMENT_TARGET_NOT_FOUND

          public static final int REQUIRES_ELEMENT_TARGET_NOT_FOUND

      The Constant REQUIRES_ELEMENT_TARGET_NOT_FOUND.
      See Also:
        Constant Field Values

    - #### ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA

          public static final int ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA

      The Constant ROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA.
      See Also:
        Constant Field Values

    - #### ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA

          public static final int ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA

      The Constant ARCROLEREF_POINTS_TO_NON_TAXONOMY_SCHEMA.
      See Also:
        Constant Field Values

    - #### INCONSISTENCY_AS_EXCEPTION

          public static final int INCONSISTENCY_AS_EXCEPTION

      The Constant INCONSISTENCY_AS_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INCONSISTENT_DTS_OPERATION_EXCEPTION

          public static final int INCONSISTENT_DTS_OPERATION_EXCEPTION

      The Constant INCONSISTENT_DTS_OPERATION_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE

          public static final int INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE

      The Constant INVALID_NUMBER_OF_VALUES_FOR_ATTRIBUTE.
      See Also:
        Constant Field Values

    - #### INVALID_ATTRIBUTE_VALUE

          public static final int INVALID_ATTRIBUTE_VALUE

      The Constant INVALID_ATTRIBUTE_VALUE.
      See Also:
        Constant Field Values

    - #### INVALID_XPOINTER_FOR_XBRL

          public static final int INVALID_XPOINTER_FOR_XBRL

      The Constant INVALID_XPOINTER_FOR_XBRL.
      See Also:
        Constant Field Values

    - #### SCHEMA_EXCEPTION

          public static final int SCHEMA_EXCEPTION

      The Constant SCHEMA_EXCEPTION.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_XPATH_EXCEPTION

          public static final int ENCAPSULATE_XPATH_EXCEPTION

      The Constant ENCAPSULATE_XPATH_EXCEPTION.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_SOURCE_NOT_ITEM

          public static final int SUMMATION_ITEM_SOURCE_NOT_ITEM

      The Constant SUMMATION_ITEM_SOURCE_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_SOURCE_NOT_NUMERIC

          public static final int SUMMATION_ITEM_SOURCE_NOT_NUMERIC

      The Constant SUMMATION_ITEM_SOURCE_NOT_NUMERIC.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_INVALID_WEIGHT_VALUE

          public static final int SUMMATION_ITEM_INVALID_WEIGHT_VALUE

      The Constant SUMMATION_ITEM_INVALID_WEIGHT_VALUE.
      See Also:
        Constant Field Values

    - #### SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP

          public static final int SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP

      The Constant SUMMATION_ITEM_INVALID_DEBIT_CREDIT_RELATIONSHIP.
      See Also:
        Constant Field Values

    - #### GENERAL_SPECIAL_SOURCE_NOT_ITEM

          public static final int GENERAL_SPECIAL_SOURCE_NOT_ITEM

      The Constant GENERAL_SPECIAL_SOURCE_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### GENERAL_SPECIAL_TARGET_NOT_ITEM

          public static final int GENERAL_SPECIAL_TARGET_NOT_ITEM

      The Constant GENERAL_SPECIAL_TARGET_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_SOURCE_NOT_ITEM

          public static final int ESSENCE_ALIAS_SOURCE_NOT_ITEM

      The Constant ESSENCE_ALIAS_SOURCE_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_TARGET_NOT_ITEM

          public static final int ESSENCE_ALIAS_TARGET_NOT_ITEM

      The Constant ESSENCE_ALIAS_TARGET_NOT_ITEM.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES

          public static final int ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES

      The Constant ESSENCE_ALIAS_DIFFERENT_ITEM_TYPES.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES

          public static final int ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES

      The Constant ESSENCE_ALIAS_DIFFERENT_PERIOD_TYPES.
      See Also:
        Constant Field Values

    - #### ESSENCE_ALIAS_DIFFERENT_BALANCE

          public static final int ESSENCE_ALIAS_DIFFERENT_BALANCE

      The Constant ESSENCE_ALIAS_DIFFERENT_BALANCE.
      See Also:
        Constant Field Values

    - #### XLINK_ERROR_DUPLICATE_ARCS

          public static final int XLINK_ERROR_DUPLICATE_ARCS

      The Constant XLINK_ERROR_DUPLICATE_ARCS.
      See Also:
        Constant Field Values

    - #### FACT_FOOTNOTEARC_SOURCE_NOT_FACT

          public static final int FACT_FOOTNOTEARC_SOURCE_NOT_FACT

      The Constant FACT_FOOTNOTEARC_SOURCE_NOT_FACT.
      See Also:
        Constant Field Values

    - #### FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE

          public static final int FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE

      The Constant FACT_FOOTNOTEARC_SOURCE_OUT_OF_INSTANCE.
      See Also:
        Constant Field Values

    - #### FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE

          public static final int FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE

      The Constant FACT_FOOTNOTEARC_TARGET_NOT_RESOURCE.
      See Also:
        Constant Field Values

    - #### FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE

          public static final int FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE

      The Constant FACT_FOOTNOTEARC_TARGET_OUT_OF_INSTANCE.
      See Also:
        Constant Field Values

    - #### FOOTNOTE_MISSING_LANG

          public static final int FOOTNOTE_MISSING_LANG

      The Constant FOOTNOTE_MISSING_LANG.
      See Also:
        Constant Field Values

    - #### CONCEPT_LABEL_TARGET_INVALID

          public static final int CONCEPT_LABEL_TARGET_INVALID

      The Constant CONCEPT_LABEL_TARGET_INVALID.
      See Also:
        Constant Field Values

    - #### CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT

          public static final int CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT

      The Constant CONCEPT_LABEL_SOURCE_IS_NOT_CONCEPT.
      See Also:
        Constant Field Values

    - #### CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE

          public static final int CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE

      The Constant CONCEPT_LABEL_TARGET_IS_NOT_RESOURCE.
      See Also:
        Constant Field Values

    - #### CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED

          public static final int CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED

      The Constant CONCEPT_LABEL_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED.
      See Also:
        Constant Field Values

    - #### PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED

          public static final int PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED

      The Constant PREFERRED_LABEL_ROLE_TYPE_NOT_DEFINED.
      See Also:
        Constant Field Values

    - #### NO_LABEL_FOR_PREFERRED_LABELROLE

          public static final int NO_LABEL_FOR_PREFERRED_LABELROLE

      The Constant NO_LABEL_FOR_PREFERRED_LABELROLE.
      See Also:
        Constant Field Values

    - #### CONCEPT_REFERENCE_TARGET_INVALID

          public static final int CONCEPT_REFERENCE_TARGET_INVALID

      The Constant CONCEPT_REFERENCE_TARGET_INVALID.
      See Also:
        Constant Field Values

    - #### CONCEPT_REFERENCE_TARGET_NOT_RESOURCE

          public static final int CONCEPT_REFERENCE_TARGET_NOT_RESOURCE

      The Constant CONCEPT_REFERENCE_TARGET_NOT_RESOURCE.
      See Also:
        Constant Field Values

    - #### CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED

          public static final int CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED

      The Constant CONCEPT_REFERENCE_TARGET_IS_NOT_LOCAL_AND_RELATIONSHIP_IS_NOT_PROHIBITED.
      See Also:
        Constant Field Values

    - #### ARC_SOURCE_ERROR

          public static final int ARC_SOURCE_ERROR

      The Constant ARC_SOURCE_ERROR.
      See Also:
        Constant Field Values

    - #### ARC_TARGET_ERROR

          public static final int ARC_TARGET_ERROR

      The Constant ARC_TARGET_ERROR.
      See Also:
        Constant Field Values

    - #### ROLE_TYPE_UNRESOLVABLE

          public static final int ROLE_TYPE_UNRESOLVABLE

      The Constant ROLE_TYPE_UNRESOLVABLE.
      See Also:
        Constant Field Values

    - #### ARCROLE_TYPE_UNRESOLVABLE

          public static final int ARCROLE_TYPE_UNRESOLVABLE

      The Constant ARCROLE_TYPE_UNRESOLVABLE.
      See Also:
        Constant Field Values

    - #### UNREADABLE_DOCUMENT

          public static final int UNREADABLE_DOCUMENT

      The Constant UNREADABLE_DOCUMENT.
      See Also:
        Constant Field Values

    - #### LABEL_MISSING_LANG

          public static final int LABEL_MISSING_LANG

      The Constant LABEL_MISSING_LANG.
      See Also:
        Constant Field Values

    - #### TARGET_IS_NOT_CONCEPT

          public static final int TARGET_IS_NOT_CONCEPT

      The Constant TARGET_IS_NOT_CONCEPT.
      See Also:
        Constant Field Values

    - #### XLINK_ERROR_UNRESOLVABLE_URI

          public static final int XLINK_ERROR_UNRESOLVABLE_URI

      The Constant XLINK_ERROR_UNRESOLVABLE_URI.
      See Also:
        Constant Field Values

    - #### XLINK_ERROR_TARGET_IS_NOT_SCHEMA

          public static final int XLINK_ERROR_TARGET_IS_NOT_SCHEMA

      The Constant XLINK_ERROR_TARGET_IS_NOT_SCHEMA.
      See Also:
        Constant Field Values

    - #### XLINK_ERROR

          public static final int XLINK_ERROR

      The Constant XLINK_ERROR.
      See Also:
        Constant Field Values

    - #### SEGMENT_INVALID_CONTENT

          public static final int SEGMENT_INVALID_CONTENT

      The Constant SEGMENT_INVALID_CONTENT.
      See Also:
        Constant Field Values

    - #### SCENARIO_INVALID_CONTENT

          public static final int SCENARIO_INVALID_CONTENT

      The Constant SCENARIO_INVALID_CONTENT.
      See Also:
        Constant Field Values

    - #### CONCEPT_NOT_FOUND

          public static final int CONCEPT_NOT_FOUND

      The Constant CONCEPT_NOT_FOUND.
      See Also:
        Constant Field Values

    - #### CONCEPT_PERIOD_TYPE_MISTMATCH

          public static final int CONCEPT_PERIOD_TYPE_MISTMATCH

      The Constant CONCEPT_PERIOD_TYPE_MISTMATCH.
      See Also:
        Constant Field Values

    - #### CONCEPT_NUMERIC_MISSING_UNIT

          public static final int CONCEPT_NUMERIC_MISSING_UNIT

      The Constant CONCEPT_NUMERIC_MISSING_UNIT.
      See Also:
        Constant Field Values

    - #### FACT_NO_DECIMALS_NO_PRECISION

          public static final int FACT_NO_DECIMALS_NO_PRECISION

      The Constant FACT_NO_DECIMALS_NO_PRECISION.
      See Also:
        Constant Field Values

    - #### UNIT_ERROR

          public static final int UNIT_ERROR

      The Constant UNIT_ERROR.
      See Also:
        Constant Field Values

    - #### FACT_DECIMALS_AND_PRECISION

          public static final int FACT_DECIMALS_AND_PRECISION

      The Constant FACT_DECIMALS_AND_PRECISION.
      See Also:
        Constant Field Values

    - #### FACT_NILLED_HAS_DECIMALS_OR_PRECISION

          public static final int FACT_NILLED_HAS_DECIMALS_OR_PRECISION

      The Constant FACT_NILLED_HAS_DECIMALS_OR_PRECISION.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_XBRL_EXCEPTION

          public static final int ENCAPSULATE_XBRL_EXCEPTION

      The Constant ENCAPSULATE_XBRL_EXCEPTION.
      See Also:
        Constant Field Values

    - #### TUPLE_INVALID_ATTRIBUTE

          public static final int TUPLE_INVALID_ATTRIBUTE

      The Constant TUPLE_INVALID_ATTRIBUTE.
      See Also:
        Constant Field Values

    - #### TUPLE_INVALID_CONTENT

          public static final int TUPLE_INVALID_CONTENT

      The Constant TUPLE_INVALID_CONTENT.
      See Also:
        Constant Field Values

    - #### TARGET_IS_NOT_FACT

          public static final int TARGET_IS_NOT_FACT

      The Constant TARGET_IS_NOT_FACT.
      See Also:
        Constant Field Values

    - #### TARGET_IS_NOT_CONTEXT

          public static final int TARGET_IS_NOT_CONTEXT

      The Constant TARGET_IS_NOT_CONTEXT.
      See Also:
        Constant Field Values

    - #### TARGET_IS_NOT_UNIT

          public static final int TARGET_IS_NOT_UNIT

      The Constant TARGET_IS_NOT_UNIT.
      See Also:
        Constant Field Values

    - #### INVALID_URI_IN_HREF

          public static final int INVALID_URI_IN_HREF

      The Constant INVALID_URI_IN_HREF.
      See Also:
        Constant Field Values

    - #### TABLE_PROCESSOR_EXCEPTION

          public static final int TABLE_PROCESSOR_EXCEPTION

      The Constant TABLE_PROCESSOR_EXCEPTION.
      See Also:
        Constant Field Values

    - #### NUMERIC_VALUE_CANT_GET_TYPE_ERROR

          public static final int NUMERIC_VALUE_CANT_GET_TYPE_ERROR

      The Constant NUMERIC_VALUE_CANT_GET_TYPE_ERROR.
      See Also:
        Constant Field Values

    - #### PERIOD_DATES_INVALID

          public static final int PERIOD_DATES_INVALID

      The Constant PERIOD_DATES_INVALID.
      See Also:
        Constant Field Values

    - #### CONCEPT_INVALID_TYPE

          public static final int CONCEPT_INVALID_TYPE

      The Constant CONCEPT_INVALID_TYPE.
      See Also:
        Constant Field Values

    - #### CONCEPT_MISSING_PERIODTYPE

          public static final int CONCEPT_MISSING_PERIODTYPE

      The Constant CONCEPT_MISSING_PERIODTYPE.
      See Also:
        Constant Field Values

    - #### CONCEPT_BALANCE_AMBIGUOUS

          public static final int CONCEPT_BALANCE_AMBIGUOUS

      The Constant CONCEPT_BALANCE_AMBIGUOUS.
      See Also:
        Constant Field Values

    - #### DUPLICATE_USED_ON

          public static final int DUPLICATE_USED_ON

      The Constant DUPLICATE_USED_ON.
      See Also:
        Constant Field Values

    - #### ENCAPSULATE_XML_EXCEPTION

          public static final int ENCAPSULATE_XML_EXCEPTION

      The Constant ENCAPSULATE_XML_EXCEPTION.
      See Also:
        Constant Field Values

    - #### DUPLICATE_EXCEPTION

          public static final int DUPLICATE_EXCEPTION

      The Constant DUPLICATE_EXCEPTION.
      See Also:
        Constant Field Values

    - #### REDEFINE_ERROR

          public static final int REDEFINE_ERROR

      The Constant REDEFINE_ERROR.
      See Also:
        Constant Field Values

    - #### XDT_EXCEPTION

          public static final int XDT_EXCEPTION

      The Constant XDT_EXCEPTION.
      See Also:
        Constant Field Values

    - #### FORMULA_PROCESSOR_EXCEPTION

          public static final int FORMULA_PROCESSOR_EXCEPTION

      The Constant FORMULA_PROCESSOR_EXCEPTION.
      See Also:
        Constant Field Values

    - #### DUPLICATE_ROLEREF_EXCEPTION

          public static final int DUPLICATE_ROLEREF_EXCEPTION

      The Constant DUPLICATE_ROLEREF_EXCEPTION.
      See Also:
        Constant Field Values

    - #### DUPLICATE_ARCROLEREF_EXCEPTION

          public static final int DUPLICATE_ARCROLEREF_EXCEPTION

      The Constant DUPLICATE_ARCROLEREF_EXCEPTION.
      See Also:
        Constant Field Values

    - #### INVALID_LOCATOR_FOUND

          public static final int INVALID_LOCATOR_FOUND

      The Constant INVALID_LOCATOR_FOUND.
      See Also:
        Constant Field Values

    - #### URI_MUST_BE_ABSOLUTE

          public static final int URI_MUST_BE_ABSOLUTE

      The Constant URI_MUST_BE_ABSOLUTE.
      See Also:
        Constant Field Values

    - #### XBRL_RS_TOOL_SPECIFIC_ERROR_BASE

          public static final int XBRL_RS_TOOL_SPECIFIC_ERROR_BASE

      599 is not used.
      See Also:
        Constant Field Values

    - #### RS_NO_FILES_TO_LOAD

          public static final int RS_NO_FILES_TO_LOAD

      The Constant RS_NO_FILES_TO_LOAD.
      See Also:
        Constant Field Values

    - #### GENERIC_LINKBASE_EXCEPTION_BASE

          public static final int GENERIC_LINKBASE_EXCEPTION_BASE

      The Constant GENERIC_LINKBASE_EXCEPTION_BASE.
      See Also:
        Constant Field Values

    - #### GENERIC_LINKBASE_INVALID_ROLE_URI

          public static final int GENERIC_LINKBASE_INVALID_ROLE_URI

      The Constant GENERIC_LINKBASE_INVALID_ROLE_URI.
      See Also:
        Constant Field Values

    - #### GENERIC_LINKBASE_INVALID_ARCROLE_URI

          public static final int GENERIC_LINKBASE_INVALID_ARCROLE_URI

      The Constant GENERIC_LINKBASE_INVALID_ARCROLE_URI.
      See Also:
        Constant Field Values

    - #### GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET

          public static final int GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET

      The Constant GENERIC_LINKBASE_ELEMENT_LABEL_INVALID_TARGET.
      See Also:
        Constant Field Values

    - #### GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET

          public static final int GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET

      The Constant GENERIC_LINKBASE_ELEMENT_REFERENCE_INVALID_TARGET.
      See Also:
        Constant Field Values

    - #### EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE

          public static final int EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE

      The Constant EXTENSIBLE_ENUMERATIONS_EXCEPTION_BASE.
      See Also:
        Constant Field Values

    - #### OK

          public static XBRLValidationException OK

      The ok.

  - ### Constructor Detail

    - #### XBRLValidationException

          public XBRLValidationException(int code,
                                 java.lang.String message)

      Instantiates a new XBRL validation exception.
      Parameters:
        `code` - the code
        `message` - the message

    - #### XBRLValidationException

          public XBRLValidationException(int code,
                                 java.lang.Exception e)

      Instantiates a new XBRL validation exception.
      Parameters:
        `code` - the code
        `e` - the e

    - #### XBRLValidationException

          public XBRLValidationException(int code,
                                 java.lang.String message,
                                 java.lang.Throwable cause)

      Instantiates a new XBRL validation exception.
      Parameters:
        `code` - the code
        `message` - the message
        `cause` - the cause

    - #### XBRLValidationException

          public XBRLValidationException(int code,
                                 java.lang.Throwable cause)

      Instantiates a new XBRL validation exception.
      Parameters:
        `code` - the code
        `cause` - the cause

    - #### XBRLValidationException

          public XBRLValidationException(int code,
                                 javax.xml.namespace.QName qError,
                                 java.lang.String string)

      Instantiates a new XBRL validation exception.
      Parameters:
        `code` - the code
        `qError` - QName of the error
        `string` - the error description

    - #### XBRLValidationException

          public XBRLValidationException(java.lang.String message,
                                 XBRLValidationException other)

      Generates a validation exception with a nested validation exception. This is for example to indicate that validating a fact, the fact unit has an error. Note the error in the unit will be another XBRLValidationException. The exception code will be the parent's exception code.
      Parameters:
        `message` - the message
        `other` - the other

  - ### Method Detail

    - #### getQNameError

          public javax.xml.namespace.QName getQNameError()

      Gets the q name error.
      Returns:
        QName

    - #### getCode

          public int getCode()

      Gets the code.
      Returns:
        the code

    - #### documentException

          public static java.lang.String documentException(java.lang.Throwable e)

      Document exception.
      Parameters:
        `e` - the e
      Returns:
        the string

    - #### addPrefixMessage

          public void addPrefixMessage(java.lang.String message)

      Adds the prefix message.
      Parameters:
        `message` - the message

    - #### addSuffixMessage

          public void addSuffixMessage(java.lang.String message)

      Adds the suffix message.
      Parameters:
        `message` - the message

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`